<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ospi2urdf: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ospi2urdf
   </div>
   <div id="projectbrief">Express .osim files as .urdf files.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;<ul>
<li>__init__()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#ac441529c0cc6f97fc1c48d8d44f253f2">Osim2URDF</a>
, <a class="el" href="classpyopsim_1_1OsimModel.html#a32919a7775b3ec618c19b78bb8729ff5">OsimModel</a>
</li>
<li>checkMuscularEffort()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a8b66a346f637e476882980fe3d2d5a64">Osim2URDF</a>
</li>
<li>createSTLfiles()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a27f603792aeacc9c13f6d936557fa77a">Osim2URDF</a>
</li>
<li>find_mins_maxs()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a48461e889b23057b565deea3475e719f">Osim2URDF</a>
</li>
<li>getSTLApproximation()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a2d3386b0230d29b1e224c67080965e24">Osim2URDF</a>
</li>
<li>runIK()
: <a class="el" href="classpyopsim_1_1OsimModel.html#a18989969f22d1e18f28773073a74acad">OsimModel</a>
</li>
<li>setQ()
: <a class="el" href="classpyopsim_1_1OsimModel.html#a4101f31b991a0cf3175ba326ed7fb94d">OsimModel</a>
</li>
<li>transformOsMpi_visu()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#ae08d15aa02272faad5bb9d129e5195c9">Osim2URDF</a>
</li>
<li>updModel()
: <a class="el" href="classpyopsim_1_1OsimModel.html#a69582ad715e9c2efbabd2ae864e1439b">OsimModel</a>
</li>
<li>writeApproximation()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#ad30682855052cbf715da98edd142cb52">Osim2URDF</a>
</li>
<li>writeExact()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a1b24c47e55b6bd27883029a24d88b31f">Osim2URDF</a>
</li>
<li>writeFakeLink()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a3192ebfe37c241f2c79b60de746d748b">Osim2URDF</a>
</li>
<li>writeJoint()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a72a6370d0c124efc84ba57bca0751b8d">Osim2URDF</a>
</li>
<li>writeLaunchFile()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a1a06e16f97e34c7d89150ee89f5b0ca0">Osim2URDF</a>
</li>
<li>writeLinkVisuals()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a77a8cf16ce6fcbd2fc537f72d73b177e">Osim2URDF</a>
</li>
<li>writeMeshFile()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a37bcefb7a19d160bc5cdfd709ed69ce8">Osim2URDF</a>
</li>
<li>writeModelToURDF()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a7dc16da66cd82e93f836e58f6011c882">Osim2URDF</a>
</li>
<li>writeMultipleDimensionJoint()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a07b8ea96209e552db6d13e7f7d6f4267">Osim2URDF</a>
</li>
<li>writeOneDofJoint()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a91ff40909a5a443d38b7a5ea3ee813f3">Osim2URDF</a>
</li>
<li>writeSpecificJoint()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a7d741d9609198ff6fe1ec633a749d59d">Osim2URDF</a>
</li>
<li>writeTransmission()
: <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html#a4bec839530c3499b27041d88735b0341">Osim2URDF</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
